dit.php - Star Decimal Internet Time converter

SYNOPSIS
========

`dit.php` [`-f` `local`|`unix`|`dit`] [`-t` `local`|`unix`|`dit`] [`-z` *timezone*] [*time*]`

DESCRIPTION
===========

Read *time* as the format specified by `-f`, and output it as the format specified by `-t`.

*time* can be set multiple times

If the first *time* is *-*, arguments will be read from the standard input.

OPTIONS
=======

`-f`, `--from` *local*|*unix*|*stardit*
: Specify the input format

`-t`, `--to` *local*|*unix*|*stardit*
: Specify the desired output format

`-z`, `--timezone` *timezone*
: Set the timezone (e.g. *Europe/Paris*, *Asia/Hong_Kong*), defaults to `UTC`

EXAMPLES
========

*dit.php 12022:196:6.36*
: 2022/07/16 03:15:50 UTC

*dit.php -z America/Mexico_City 12022:196:6.36*
: 2022/07/15 22:15:50 America/Mexico_City

EXIT VALUES
===========

**0**
: No problem

**1**
: Problem

SEE ALSO
========

Decimal Internet Time (DIT) Design Specification Proposal: *https://djeekay.net/dit/*

LICENSE
=======

See the LICENSE file distributed with this software.
